uses
  Math;

var
  c: array of Integer;
  N: Integer;

procedure QuickSort(L, R: Integer);
var
  i, j, p, t: Integer;
begin
  repeat
    i := L;
    j := R;
    p := (L + R) shr 1;
    repeat
      while c[i] - c[p] < 0 do Inc(i);
      while c[j] - c[p] > 0 do Dec(j);
      if i <= j then begin
        t := c[i];
        c[i] := c[j];
        c[j] := t;
        if p = i then
          p := j
        else if p = j then
          p := i;
        Inc(i);
        Dec(j);
      end;
    until i > j;
    if L < j then QuickSort(L, j);
    L := i;
  until i >= R;
end;

var
  f: TextFile;
  i, m, t, x, y: Integer;
begin
  AssignFile(f, 'input.txt'); Reset(f);
  Read(f, N);
  SetLength(c, N + N);
  for i := 0 to N - 1 do begin
    Read(f, x, y);
    c[i] := (x - y) * 2;
    c[N + i] := (x + y) * 2 - 1;
  end;
  CloseFile(f);
  QuickSort(0, High(c));
  m := 0; t := 0;
  for i := 0 to High(c) do begin
    Write((c[i] + 1) div 2, ':', (c[i] + 1) mod 2, ' ');
    Inc(t, 1 - (c[i] mod 2) * 2);
    m := Max(m, t);
  end;
  AssignFile(f, 'output.txt'); Rewrite(f);
  Write(f, m);
  CloseFile(f);
end.
